PDF

# Class: UFPDF

Source Location: /lib/ufpdf.php

### Class Overview

    FPDF
       |
       --UFPDF

Main UFPDF class for creating Unicode PDF documents

#### Author(s):

### Methods

- UFPDF
- AcceptPageBreak
- AddFont
- AliasNbPages
- Cell
- code2utf
- GetStringWidth
- MultiCell
- strlen
- Text
- utf8_substr
- utf8_to_codepoints
- utf8_to_utf16be
- Write
- _dounderline
- _escapetext
- _putinfo
- _putpages
- _puttruetypeunicode
- _textstring

### Child classes:

lamPDF
  Creates a LAM information page in PDF format.

### Inherited Variables

#### Class: FPDF

FPDF::$AliasNbPages
FPDF::$author
FPDF::$AutoPageBreak
FPDF::$bMargin
FPDF::$buffer
FPDF::$cMargin
FPDF::$ColorFlag
FPDF::$compress
FPDF::$CoreFonts
FPDF::$creator
FPDF::$CurOrientation
FPDF::$CurrentFont
FPDF::$DefOrientation
FPDF::$diffs
FPDF::$DrawColor
FPDF::$fh
FPDF::$fhPt
FPDF::$FillColor
FPDF::$FontFamily
FPDF::$FontFiles
FPDF::$fonts
FPDF::$FontSize
FPDF::$FontSizePt
FPDF::$FontStyle
FPDF::$fw
FPDF::$fwPt
FPDF::$h
FPDF::$hPt
FPDF::$images
FPDF::$InFooter
FPDF::$k
FPDF::$keywords
FPDF::$lasth
FPDF::$LayoutMode
FPDF::$LineWidth
FPDF::$links
FPDF::$lMargin
FPDF::$n
FPDF::$offsets
FPDF::$OrientationChanges
FPDF::$page
FPDF::$PageBreakTrigger
FPDF::$PageLinks
FPDF::$pages
FPDF::$PDFVersion
FPDF::$rMargin
FPDF::$state
FPDF::$subject
FPDF::$TextColor
FPDF::$title
FPDF::$tMargin
FPDF::$underline
FPDF::$w
FPDF::$wPt
FPDF::$ws
FPDF::$x
FPDF::$y
FPDF::$ZoomMode

### Inherited Methods

#### Class: FPDF

FPDF::FPDF()
  *****************************************************************************
FPDF::AcceptPageBreak()
FPDF::AddFont()
FPDF::AddLink()
FPDF::AddPage()
FPDF::AliasNbPages()
FPDF::Cell()
FPDF::Close()
FPDF::Error()
FPDF::Footer()
FPDF::GetStringWidth()
FPDF::GetX()
FPDF::GetY()
FPDF::Header()
FPDF::Image()
FPDF::Line()
FPDF::Link()
FPDF::Ln()
FPDF::MultiCell()
FPDF::Open()
FPDF::Output()
FPDF::PageNo()
FPDF::Rect()
FPDF::SetAuthor()
FPDF::SetAutoPageBreak()
FPDF::SetCompression()
FPDF::SetCreator()
FPDF::SetDisplayMode()
FPDF::SetDrawColor()
FPDF::SetFillColor()
FPDF::SetFont()
FPDF::SetFontSize()
FPDF::SetKeywords()
FPDF::SetLeftMargin()
FPDF::SetLineWidth()
FPDF::SetLink()
FPDF::SetMargins()
FPDF::SetRightMargin()
FPDF::SetSubject()
FPDF::SetTextColor()
FPDF::SetTitle()
FPDF::SetTopMargin()
FPDF::SetX()
FPDF::SetXY()
FPDF::SetY()
FPDF::Text()
FPDF::Write()
FPDF::_beginpage()
FPDF::_dochecks()
  *****************************************************************************
FPDF::_dounderline()
FPDF::_enddoc()
FPDF::_endpage()
FPDF::_escape()
FPDF::_freadint()
FPDF::_getfontpath()
FPDF::_newobj()
FPDF::_out()
FPDF::_parsejpg()
FPDF::_parsepng()
FPDF::_putcatalog()
FPDF::_putfonts()
FPDF::_putheader()
FPDF::_putimages()
FPDF::_putinfo()
FPDF::_putpages()
FPDF::_putresourcedict()
FPDF::_putresources()
FPDF::_putstream()
FPDF::_puttrailer()
FPDF::_putxobjectdict()
FPDF::_textstring()

### Class Details

[line 37]
Main UFPDF class for creating Unicode PDF documents

#### Tags:

see: | FPDF::FPDF()

[ Top ]

### Class Methods

### constructor UFPDF [line 45]

`UFPDF UFPDF( [ $orientation = 'P'], [ $unit = 'mm'], [ $format = 'A4'])`

*****************************************************************************

* Public methods * * *****************************************************************************

#### Parameters:

| $orientation |
| $unit |
| $format |

[ Top ]

### method AcceptPageBreak [line 113]

`void AcceptPageBreak( )`

Overrides FPDF::AcceptPageBreak() (parent method not documented)
[ Top ]

### method AddFont [line 73]

`void AddFont( $family, [ $style = ''], [ $file = ''])`

Overrides FPDF::AddFont() (parent method not documented)

#### Parameters:

| $family |
| $style |
| $file |

[ Top ]

### method AliasNbPages [line 407]

`void AliasNbPages( [ $alias = '{nb}'])`

Overrides FPDF::AliasNbPages() (parent method not documented)

#### Parameters:

| $alias |

[ Top ]

### method Cell [line 119]

`void Cell( $w, [ $h = 0], [ $txt = ''], [ $border = 0], [ $ln = 0], [ $align = 'J'], [ $fill = 0], [ $link = ''])`

Overrides FPDF::Cell() (parent method not documented)

#### Parameters:

| $w |
| $h |
| $txt |
| $border |
| $ln |
| $align |
| $fill |
| $link |

[ Top ]

### method code2utf [line 697]

`void code2utf( $num)`

#### Parameters:

| $num |

[ Top ]

### method GetStringWidth [line 50]

`void GetStringWidth( $s)`

Overrides FPDF::GetStringWidth() (parent method not documented)

#### Parameters:

| $s |

[ Top ]

### method MultiCell [line 199]

`void MultiCell( $w, $h, $txt, [ $border = 0], [ $align = 'J'], [ $fill = 0])`

Overrides FPDF::MultiCell() (parent method not documented)

#### Parameters:

| $w |
| $h |
| $txt |
| $border |
| $align |
| $fill |

[ Top ]

### method strlen [line 705]

`void strlen( $s)`

#### Parameters:

| $s |

[ Top ]

### method Text [line 102]

`void Text( $x, $y, $txt)`

Overrides FPDF::Text() (parent method not documented)

#### Parameters:

| $x |
| $y |
| $txt |

[ Top ]

### method utf8_substr [line 709]

`void utf8_substr( $str, $start)`

#### Parameters:

| $str |
| $start |

[ Top ]

### method utf8_to_codepoints [line 726]

`void utf8_to_codepoints( $txt)`

#### Parameters:

| $txt |

[ Top ]

### method utf8_to_utf16be [line 597]

`void utf8_to_utf16be( &$txt, [ $bom = true])`

#### Parameters:

| &$txt |
| $bom |

[ Top ]

### method Write [line 324]

`void Write( $h, $txt, [ $link = ''])`

Overrides FPDF::Write() (parent method not documented)

#### Parameters:

| $h |
| $txt |
| $link |

[ Top ]

### method _dounderline [line 481]

`void _dounderline( $x, $y, $width, $txt)`

Overrides FPDF::_dounderline() (parent method not documented)

#### Parameters:

| $x |
| $y |
| $width |
| $txt |

[ Top ]

### method _escapetext [line 498]

`void _escapetext( $s)`

#### Parameters:

| $s |

[ Top ]

### method _putinfo [line 506]

`void _putinfo( )`

Overrides FPDF::_putinfo() (parent method not documented)
[ Top ]

### method _putpages [line 522]

`void _putpages( )`

Overrides FPDF::_putpages() (parent method not documented)
[ Top ]

### method _puttruetypeunicode [line 419]

`void _puttruetypeunicode( $font)`

*****************************************************************************

* Protected methods * * *****************************************************************************

#### Parameters:

| $font |

[ Top ]

### method _textstring [line 490]

`void _textstring( $s)`

Overrides FPDF::_textstring() (parent method not documented)

#### Parameters:

| $s |

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:09 +0200 by phpDocumentor 1.4.1